﻿body {
    font-family: 'Segoe UI', sans-serif;
    background-color: #f8f9fa;
    margin: 0;
    color: #333;
}

.page-container-shift {
    max-width: 900px;
    margin: auto;
    border-radius: 8px;
}

.page-container-grid {
    max-width: 1500px;
    margin: auto;
    border-radius: 8px;
}

.breadcrumbAddEdit {
    font-size: 14px;
    color: #888;
    margin-bottom: 10px;
    background-color: #f8f9fa;
    text-align: left;
    padding-left: 15px;
}

    .breadcrumbAddEdit span {
        color: #333;
        font-weight: 500;
    }

.breadcrumbAddEdit-link {
    color: #1c4e4f;
    text-decoration: none;
    transition: color 0.2s;
}

    .breadcrumbAddEdit-link:hover {
        text-decoration: underline;
        color: #163c3d;
    }

.breadcrumbAddEdit-separator {
    margin: 0 5px;
}

.breadcrumbAddEdit-current {
    font-weight: bold;
    color: #333;
}


.page-title {
    font-size: 22px;
    font-weight: bold;
    margin-bottom: 20px;
    margin-left: 15px;
    text-align: left;
    display: block;
    align-self: flex-start;
}

.card {
    background: #fff;
    padding: 25px;
    border-radius: 12px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.05);
}

.form-group {
    display: flex;
    flex-direction: column;
    margin-bottom: 18px;
    flex: 1;
}

    .form-group label {
        font-size: 14px;
        margin-bottom: 6px;
        color: black;
        text-align: left;
        align-self: flex-start;
    }


.form-select {
    padding: 10px 12px;
    border: 1px solid #ddd;
    border-radius: 6px;
    font-size: 14px; 
    background-color: #fff;
    appearance: none; 
    -webkit-appearance: none;
    -moz-appearance: none;
    cursor: pointer;
    width: 100%;
    height:40px;
}

    .form-select:focus {
        border-color: #3b82f6;
        outline: none;
        box-shadow: 0 0 3px rgba(59, 130, 246, 0.4);
    }

/* التعديل الأساسي هنا */
.form-row {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

    .form-row .form-group {
        flex: 1 1 calc(50% - 20px); /* كل عمود ياخد نص الصف */
        min-width: 250px; /* علشان مايصغروش أوي */
    }

.map-container {
    border: 1px solid #ddd;
    border-radius: 8px;
    overflow: hidden;
}

.form-actions {
    display: flex;
    gap: 12px;
    margin-top: 20px;
}

.btn-Confirm-cancel {
    padding: 10px 20px;
    border-radius: 8px;
    font-size: 15px;
    cursor: pointer;
    border: none;
    transition: 0.2s;
}

.btn-primary-submit {
    background-color: #1c4e4f;
    color: white;
}

    .btn-primary-submit:disabled {
        background-color: #cccccc;
        border-color: #aaaaaa;
        color: #666666;
        opacity: 0.7;
        cursor: not-allowed;
    }

.btn-primary:hover {
    background-color: #115e75;
}

.btn-outline {
    border: 1px solid #bbb;
    background: white;
    color: #333;
    margin-right: auto;
}

    .btn-outline:hover {
        background: #f1f1f1;
    }

.page-content {
    background-color: #f8f9fa;
    padding: 25px;
}

.filter-card .dx-texteditor-input {
    background-color: #f7f7f7 !important;
    border-radius: 6px;
}
.filter-card .dx-lookup-field {
    background-color: #f7f7f7 !important;
    border-radius: 6px;
    float: right;
    text-align: left !important;
}
.dx-lookup-arrow::before {
    transform:rotate(+90deg);
}


#gridContainer .dx-datagrid {
    font-size: 12px;
    color: #333;
    overflow: hidden;
    border: none;
    font-family: inherit;
}

#gridContainer .dx-datagrid-headers .dx-datagrid-table {
    border-collapse: separate;
    border-spacing: 0;
}

#gridContainer .dx-header-row {
    background: #f7f7f7;
}

    #gridContainer .dx-header-row td {
        padding: 15px 15px 15px 10px;
        font-weight: 600;
        color: #000;
        font-size: 14px;
        border-right: none;
    }

#gridContainer .dx-data-row td {
    padding: 10px;
    border-right: none;
    vertical-align: middle;
}

#gridContainer .dx-datagrid-headers {
    background-color: #f8f9fa;
    font-weight: 200;
    color: black;
    border-radius: 20px 20px 0 0;
}

#gridContainer .dx-header-row .dx-datagrid-text-content {
    color: #444;
    font-size: 14px;
    text-transform: capitalize;
}




/* الأعمدة */
#gridContainer .dx-datagrid-rowsview .dx-row td {
    font-size: 12px;
    color: #969696;
}

#gridContaine .dx-datagrid-pager {
    padding: 16px;
    background: white;
    border-top: 1px solid #f1f5f9;
}

#gridContainer .dx-pages .dx-page {
    min-width: 36px;
    height: 36px;
    border: 1px solid #e2e8f0;
    border-radius: 6px;
    margin: 0 4px;
    background: white;
}

    #gridContainer .dx-pages .dx-page.dx-selection {
        color: #2f486e;
        border-color: #2f486e;
        text-align: center;
    }

#gridContainer .products-grid ::ng-deep .dx-pages .dx-page:hover:not(.dx-selection) {
    border-color: #3182ce;
    color: #3182ce;
}

#gridContainer .products-grid ::ng-deep .dx-page-size-selector {
    margin-left: auto;
}


#gridContainer .dx-link.dx-icon-trash {
    color: lightgray !important;
}

#gridContainer .dx-link.dx-icon-edit {
    color: lightgray !important;
}

.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #f44336; 
    transition: .4s;
    border-radius: 34px;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 26px;
        width: 26px;
        left: 4px;
        bottom: 4px;
        background-color: white;
        transition: .4s;
        border-radius: 50%;
    }

input:checked + .slider {
    background-color: #4CAF50; 
}

    input:checked + .slider:before {
        transform: translateX(26px);
    }

.custom-switch {
    transform: scale(0.7); 
    margin: auto; 
}

    .custom-switch .dx-switch-on {
        background-color: #4CAF50 !important; 
    }

    .custom-switch .dx-switch-off {
        background-color: #f44336 !important; 
    }

    .custom-switch .dx-switch-handle {
        background-color: #fff !important;
        border-radius: 50%;
    }
